Bug 36051 - Check non-free packages
Check non-free packages
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Philipp Hahn
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-06 11:50 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
show_contrib_and_nonfree.py (288 bytes, text/plain)
2014-10-09 13:17 CEST, Arvid Requate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-06 11:50:34 CEST
See Bug #33836 Comment #17, it seems not all non-free packages have been imported. This should be checked and compared between UCS 3 and UCS 4.
Comment 1 Arvid Requate univentionstaff 2014-10-09 13:17:56 CEST
Created attachment 6153 [details]
show_contrib_and_nonfree.py

The attached python-apt script shows on UCS 3.2-3 with unmaintained activated:
=====================
alsa-tools
avifile
cl-sql
dynare
firmware-nonfree
gnome-speech
linux-wlan-ng
mahara
msttcorefonts
open-vm-tools
rar
snmp-mibs-downloader
sun-java6
unrar-nonfree
virtualbox
zd1211-firmware
=====================
Comment 2 Arvid Requate univentionstaff 2014-10-09 15:42:53 CEST
mahara - not in wheezy, dropped
open-vm-tools - cherrypicked from UCS 3.2-0 (newer than imported wheezy pkg)
rar - imported and built
snmp-mibs-downloader - cherrypicked from UCS 3.0-0
sun-java6 - not in wheezy, dropped. See https://wiki.debian.org/Java/Sun
unrar-nonfree - imported and built
virtualbox - via Bug 35875
zd1211-firmware - cherrypicked from UCS 3.0-0

The remaining packages had already been imported and built.
Changelog adjusted.
Comment 3 Philipp Hahn univentionstaff 2014-11-04 16:47:23 CET
OK: alsa-tools  1.0.23-3.3.201104291716 <= 1.0.25-2.5.201403120535
OK: avifile  1:0.7.48~20090503.ds-2.4.201104292319 <= 1:0.7.48~20090503.ds-13.6.201403140141
OK: cl-sql  5.1.1-1.2.201104220350 <= 6.2.0-1.4.201403170702
OK: dynare  4.1.2-2.14.201104242252 <= 4.3.0-2.16.201403210355
OK: firmware-nonfree  0.39 <= 0.43.7.201409121415
OK: gnome-speech  0.4.25-4.8.201104131630 <= 1:0.4.25-5.10.201403150614
OK: linux-wlan-ng  0.2.9+dfsg-4.2.201104231528 <= 0.2.9+dfsg-5.4.201403131050
OK: mahara  <https://packages.debian.org/search?searchon=sourcenames&keywords=mahara>
OK: msttcorefonts  3.3.26.201108311434 <= 3.4+nmu1.28.201410021426
OK: open-vm-tools  1:8.4.2-261024-1.1.201206080816 <= 2:9.4.6-1770165-6.11.201410271153
OK: rar  3.9.3-1.12.201109010844 <= 2:4.0.b3-1.14.201410210828
OK: snmp-mibs-downloader  1.1.1.201110201022 <= 1.1.2.201410091517
OK: sun-java6  <https://packages.debian.org/search?searchon=sourcenames&keywords=sun-java6>
OK: unrar-nonfree  1:3.9.10-1.18.201109010852 <= 1:4.1.4-1.20.201410210821
OK: virtualbox  4.2.10-dfsg-1.5.201307190947 <= 4.3.14-dfsg-1~bpo70+1.10.201410271036
OK: zd1211-firmware  2.21.0.0-1.7.201106141413 <= 2.21.0.0-1.8.201410091522

UCS-4 only has a sub-set of the binary packages build from avifile for UCS-3.0-0:
# aptitude search 'avifile' -F '%30p %40V %20s' # UCS-3.2-3
avifile-divx-plugin                                    1:0.7.48~20090503.ds-2.4.201104292319    contrib/video
avifile-mad-plugin                                     1:0.7.48~20090503.ds-2.4.201104292319    video
avifile-mjpeg-plugin                                   1:0.7.48~20090503.ds-2.4.201104292319    video
avifile-player                                         1:0.7.48~20090503.ds-2.4.201104292319    video
avifile-utils                                          1:0.7.48~20090503.ds-2.4.201104292319    video
avifile-vorbis-plugin                                  1:0.7.48~20090503.ds-2.4.201104292319    video
avifile-xvid-plugin                                    1:0.7.48~20090503.ds-2.4.201104292319    contrib/video
libavifile-0.7-dev                                     1:0.7.48~20090503.ds-2.4.201104292319    libdevel
libavifile-0.7c2                                       1:0.7.48~20090503.ds-2.4.201104292319    libs

# aptitude search 'avifile' -F '%30p %40V %20s' # UCS-4.0-0
libavifile-0.7-bin                                     1:0.7.48~20090503.ds-13.6.201403140141   misc
libavifile-0.7-common                                  1:0.7.48~20090503.ds-13.6.201403140141   misc
libavifile-0.7-dev                                     1:0.7.48~20090503.ds-13.6.201403140141   libdevel
libavifile-0.7c2                                       1:0.7.48~20090503.ds-13.6.201403140141   libs

The library is deprecated and is scheduled for removal from Debian as soon as it is dropped from all depending packages <http://metadata.ftp-master.debian.org/changelogs//main/a/avifile/avifile_0.7.48~20090503.ds-13_changelog>.
As such: OK
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:54:59 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".